Skip to main content

Get all webhooks

GEThttps://api.propexo.com/v1/webhooks/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

active boolean | null

Filter by active status

Default value: true
order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The unique identifier for the webhook

    created_atstringrequired

    The date the webhook was created

    updated_atstringrequired

    The date the webhook was last updated

    urlstringrequired

    The url to send the webhook to

    headers object[]
  • Array [
  • headerstringrequired
    valuestringrequired
  • ]
  • activebooleanrequired

    The status of the webhook

    secretstringrequired

    The secret used to sign the webhook

    systemstringrequired

    The environment in which the webhook runs

    Show 2 enum values
    PRODUCTIONSANDBOX
    triggers object[]
  • Array [
  • idstringrequired

    The ID of the trigger

    triggerstringrequired

    The name of the trigger

    modelstring | nullnullablerequired

    The model that triggers the webhook

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/webhooks/
curl https://api.propexo.com/v1/webhooks/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"url": "string",
"headers": [
{
"header": "string",
"value": "string"
}
],
"active": true,
"secret": "string",
"system": "PRODUCTION",
"triggers": [
{
"id": "string",
"trigger": "string",
"model": "string"
}
]
}
]
}